import request from '@/utils/request'

// 查询商品属性列表
export function listStoreProductAttr(query) {
  return request({
    url: '/store/store/storeProductAttr/list',
    method: 'get',
    params: query
  })
}

// 查询商品属性详细
export function getStoreProductAttr(id) {
  return request({
    url: '/store/store/storeProductAttr/' + id,
    method: 'get'
  })
}

// 新增商品属性
export function addStoreProductAttr(data) {
  return request({
    url: '/store/store/storeProductAttr',
    method: 'post',
    data: data
  })
}

// 修改商品属性
export function updateStoreProductAttr(data) {
  return request({
    url: '/store/store/storeProductAttr',
    method: 'put',
    data: data
  })
}

// 删除商品属性
export function delStoreProductAttr(id) {
  return request({
    url: '/store/store/storeProductAttr/' + id,
    method: 'delete'
  })
}

// 导出商品属性
export function exportStoreProductAttr(query) {
  return request({
    url: '/store/store/storeProductAttr/export',
    method: 'get',
    params: query
  })
}
